<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:21 PST 2021 -->
<title>TLDScoringFilter (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TLDScoringFilter (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TLDScoringFilter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/scoring/tld/TLDScoringFilter.html" target="_top">Frames</a></li>
<li><a href="TLDScoringFilter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.scoring.tld</div>
<h2 title="Class TLDScoringFilter" class="title">Class TLDScoringFilter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.scoring.tld.TLDScoringFilter</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a>, <a href="../../../../../org/apache/nutch/plugin/Pluggable.html" title="interface in org.apache.nutch.plugin">Pluggable</a>, <a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TLDScoringFilter</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></pre>
<div class="block">Scoring filter to boost tlds.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Enis Soztutar &lt;enis.soz.nutch@gmail.com&gt;</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.nutch.scoring.ScoringFilter">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.apache.nutch.scoring.<a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></h3>
<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#X_POINT_ID">X_POINT_ID</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#TLDScoringFilter--">TLDScoringFilter</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#distributeScoreToOutlink-org.apache.hadoop.io.Text-org.apache.hadoop.io.Text-org.apache.nutch.parse.ParseData-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-int-int-">distributeScoreToOutlink</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;fromUrl,
                        <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;toUrl,
                        <a href="../../../../../org/apache/nutch/parse/ParseData.html" title="class in org.apache.nutch.parse">ParseData</a>&nbsp;parseData,
                        <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;target,
                        <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;adjust,
                        int&nbsp;allCount,
                        int&nbsp;validCount)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#distributeScoreToOutlinks-org.apache.hadoop.io.Text-org.apache.nutch.parse.ParseData-java.util.Collection-org.apache.nutch.crawl.CrawlDatum-int-">distributeScoreToOutlinks</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;fromUrl,
                         <a href="../../../../../org/apache/nutch/parse/ParseData.html" title="class in org.apache.nutch.parse">ParseData</a>&nbsp;parseData,
                         <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.Entry.html?is-external=true" title="class or interface in java.util">Map.Entry</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&gt;&gt;&nbsp;targets,
                         <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;adjust,
                         int&nbsp;allCount)</code>
<div class="block">Distribute score value from the current page to all its outlinked pages.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#generatorSortValue-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-float-">generatorSortValue</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                  <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                  float&nbsp;initSort)</code>
<div class="block">This method prepares a sort value for the purpose of sorting and selecting
 top N scoring pages during fetchlist generation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#getConf--">getConf</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>float</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
            <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
            <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
            float&nbsp;initScore)</code>
<div class="block">This method calculates a indexed document score/boost.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#initialScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">initialScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>
<div class="block">Set an initial score for newly discovered pages.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#injectedScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">injectedScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
             <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>
<div class="block">Set an initial score for newly injected pages.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                     <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                     <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)</code>
<div class="block">Currently a part of score distribution is performed using only data coming
 from the parsing process.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#passScoreBeforeParsing-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.protocol.Content-">passScoreBeforeParsing</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                      <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                      <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)</code>
<div class="block">This method takes all relevant score information from the current datum
 (coming from a generated fetchlist) and stores it into
 <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> metadata.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#setConf-org.apache.hadoop.conf.Configuration-">setConf</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/nutch/scoring/tld/TLDScoringFilter.html#updateDbScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-java.util.List-">updateDbScore</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
             <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;old,
             <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&gt;&nbsp;inlinked)</code>
<div class="block">This method calculates a new score of CrawlDatum during CrawlDb update,
 based on the initial value of the original CrawlDatum, and also score
 values contributed by inlinked pages.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.nutch.scoring.ScoringFilter">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.apache.nutch.scoring.<a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></h3>
<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#orphanedScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">orphanedScore</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TLDScoringFilter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TLDScoringFilter</h4>
<pre>public&nbsp;TLDScoringFilter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexerScore</h4>
<pre>public&nbsp;float&nbsp;indexerScore(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                          <a href="../../../../../org/apache/nutch/indexer/NutchDocument.html" title="class in org.apache.nutch.indexer">NutchDocument</a>&nbsp;doc,
                          <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;dbDatum,
                          <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;fetchDatum,
                          <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse,
                          <a href="../../../../../org/apache/nutch/crawl/Inlinks.html" title="class in org.apache.nutch.crawl">Inlinks</a>&nbsp;inlinks,
                          float&nbsp;initScore)
                   throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">ScoringFilter</a></code></span></div>
<div class="block">This method calculates a indexed document score/boost.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#indexerScore-org.apache.hadoop.io.Text-org.apache.nutch.indexer.NutchDocument-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.parse.Parse-org.apache.nutch.crawl.Inlinks-float-">indexerScore</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - url of the page</dd>
<dd><code>doc</code> - indexed document. NOTE: this already contains all information
          collected by indexing filters. Implementations may modify this
          instance, in order to store/remove some information.</dd>
<dd><code>dbDatum</code> - current page from CrawlDb. NOTE:
          <ul>
          <li>changes made to this instance are not persisted</li>
          <li>may be null if indexing is done without CrawlDb or if the
          segment is generated not from the CrawlDb (via
          FreeGenerator).</li>
          </ul></dd>
<dd><code>fetchDatum</code> - datum from FetcherOutput (containing among others the fetching
          status)</dd>
<dd><code>parse</code> - parsing result. NOTE: changes made to this instance are not
          persisted.</dd>
<dd><code>inlinks</code> - current inlinks from LinkDb. NOTE: changes made to this instance
          are not persisted.</dd>
<dd><code>initScore</code> - initial boost value for the indexed document.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boost value for the indexed document. This value is passed as an
         argument to the next scoring filter in chain. NOTE: implementations
         may also express other scoring strategies by modifying the indexed
         document directly.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
<a name="distributeScoreToOutlink-org.apache.hadoop.io.Text-org.apache.hadoop.io.Text-org.apache.nutch.parse.ParseData-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>distributeScoreToOutlink</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;distributeScoreToOutlink(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;fromUrl,
                                           <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;toUrl,
                                           <a href="../../../../../org/apache/nutch/parse/ParseData.html" title="class in org.apache.nutch.parse">ParseData</a>&nbsp;parseData,
                                           <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;target,
                                           <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;adjust,
                                           int&nbsp;allCount,
                                           int&nbsp;validCount)
                                    throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
<a name="generatorSortValue-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>generatorSortValue</h4>
<pre>public&nbsp;float&nbsp;generatorSortValue(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                                float&nbsp;initSort)
                         throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#generatorSortValue-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-float-">ScoringFilter</a></code></span></div>
<div class="block">This method prepares a sort value for the purpose of sorting and selecting
 top N scoring pages during fetchlist generation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#generatorSortValue-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-float-">generatorSortValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - url of the page</dd>
<dd><code>datum</code> - page's datum, should not be modified</dd>
<dd><code>initSort</code> - initial sort value, or a value from previous filters in chain</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
<a name="initialScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initialScore</h4>
<pre>public&nbsp;void&nbsp;initialScore(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                         <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)
                  throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#initialScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">ScoringFilter</a></code></span></div>
<div class="block">Set an initial score for newly discovered pages. Note: newly discovered
 pages have at least one inlink with its score contribution, so filter
 implementations may choose to set initial score to zero (unknown value),
 and then the inlink score contribution will set the "real" value of the new
 page.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#initialScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">initialScore</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - url of the page</dd>
<dd><code>datum</code> - new datum. Filters will modify it in-place.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
<a name="injectedScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>injectedScore</h4>
<pre>public&nbsp;void&nbsp;injectedScore(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                          <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)
                   throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#injectedScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">ScoringFilter</a></code></span></div>
<div class="block">Set an initial score for newly injected pages. Note: newly injected pages
 may have no inlinks, so filter implementations may wish to set this score
 to a non-zero value, to give newly injected pages some initial credit.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#injectedScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">injectedScore</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - url of the page</dd>
<dd><code>datum</code> - new datum. Filters will modify it in-place.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
<a name="passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>passScoreAfterParsing</h4>
<pre>public&nbsp;void&nbsp;passScoreAfterParsing(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                  <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content,
                                  <a href="../../../../../org/apache/nutch/parse/Parse.html" title="interface in org.apache.nutch.parse">Parse</a>&nbsp;parse)
                           throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">ScoringFilter</a></code></span></div>
<div class="block">Currently a part of score distribution is performed using only data coming
 from the parsing process. We need this method in order to ensure the
 presence of score data in these steps.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#passScoreAfterParsing-org.apache.hadoop.io.Text-org.apache.nutch.protocol.Content-org.apache.nutch.parse.Parse-">passScoreAfterParsing</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - page url</dd>
<dd><code>content</code> - original content. NOTE: modifications to this value are not
          persisted.</dd>
<dd><code>parse</code> - target instance to copy the score information to. Implementations
          may modify this in-place, primarily by setting some metadata
          properties.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
<a name="passScoreBeforeParsing-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.protocol.Content-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>passScoreBeforeParsing</h4>
<pre>public&nbsp;void&nbsp;passScoreBeforeParsing(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                   <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                                   <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol">Content</a>&nbsp;content)
                            throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#passScoreBeforeParsing-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.protocol.Content-">ScoringFilter</a></code></span></div>
<div class="block">This method takes all relevant score information from the current datum
 (coming from a generated fetchlist) and stores it into
 <a href="../../../../../org/apache/nutch/protocol/Content.html" title="class in org.apache.nutch.protocol"><code>Content</code></a> metadata. This is needed in order
 to pass this value(s) to the mechanism that distributes it to outlinked
 pages.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#passScoreBeforeParsing-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.protocol.Content-">passScoreBeforeParsing</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - url of the page</dd>
<dd><code>datum</code> - source datum. NOTE: modifications to this value are not persisted.</dd>
<dd><code>content</code> - instance of content. Implementations may modify this in-place,
          primarily by setting some metadata properties.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
<a name="updateDbScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateDbScore</h4>
<pre>public&nbsp;void&nbsp;updateDbScore(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                          <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;old,
                          <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum,
                          <a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&gt;&nbsp;inlinked)
                   throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#updateDbScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-java.util.List-">ScoringFilter</a></code></span></div>
<div class="block">This method calculates a new score of CrawlDatum during CrawlDb update,
 based on the initial value of the original CrawlDatum, and also score
 values contributed by inlinked pages.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#updateDbScore-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-org.apache.nutch.crawl.CrawlDatum-java.util.List-">updateDbScore</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - url of the page</dd>
<dd><code>old</code> - original datum, with original score. May be null if this is a
          newly discovered page. If not null, filters should use score
          values from this parameter as the starting values - the
          <code>datum</code> parameter may contain values that are no longer
          valid, if other updates occurred between generation and this
          update.</dd>
<dd><code>datum</code> - the new datum, with the original score saved at the time when
          fetchlist was generated. Filters should update this in-place, and
          it will be saved in the crawldb.</dd>
<dd><code>inlinked</code> - (partial) list of CrawlDatum-s (with their scores) from links
          pointing to this page, found in the current update batch.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
<a name="getConf--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConf</h4>
<pre>public&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;getConf()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#getConf--" title="class or interface in org.apache.hadoop.conf">getConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
</dl>
</li>
</ul>
<a name="setConf-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConf</h4>
<pre>public&nbsp;void&nbsp;setConf(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true#setConf-org.apache.hadoop.conf.Configuration-" title="class or interface in org.apache.hadoop.conf">setConf</a></code>&nbsp;in interface&nbsp;<code><a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configurable.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configurable</a></code></dd>
</dl>
</li>
</ul>
<a name="distributeScoreToOutlinks-org.apache.hadoop.io.Text-org.apache.nutch.parse.ParseData-java.util.Collection-org.apache.nutch.crawl.CrawlDatum-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>distributeScoreToOutlinks</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;distributeScoreToOutlinks(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;fromUrl,
                                            <a href="../../../../../org/apache/nutch/parse/ParseData.html" title="class in org.apache.nutch.parse">ParseData</a>&nbsp;parseData,
                                            <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.Entry.html?is-external=true" title="class or interface in java.util">Map.Entry</a>&lt;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>,<a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&gt;&gt;&nbsp;targets,
                                            <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;adjust,
                                            int&nbsp;allCount)
                                     throws <a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#distributeScoreToOutlinks-org.apache.hadoop.io.Text-org.apache.nutch.parse.ParseData-java.util.Collection-org.apache.nutch.crawl.CrawlDatum-int-">ScoringFilter</a></code></span></div>
<div class="block">Distribute score value from the current page to all its outlinked pages.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html#distributeScoreToOutlinks-org.apache.hadoop.io.Text-org.apache.nutch.parse.ParseData-java.util.Collection-org.apache.nutch.crawl.CrawlDatum-int-">distributeScoreToOutlinks</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../org/apache/nutch/scoring/ScoringFilter.html" title="interface in org.apache.nutch.scoring">ScoringFilter</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fromUrl</code> - url of the source page</dd>
<dd><code>parseData</code> - ParseData instance, which stores relevant score value(s) in its
          metadata. NOTE: filters may modify this in-place, all changes will
          be persisted.</dd>
<dd><code>targets</code> - &lt;url, CrawlDatum&gt; pairs. NOTE: filters can modify this
          in-place, all changes will be persisted.</dd>
<dd><code>adjust</code> - a CrawlDatum instance, initially null, which implementations may
          use to pass adjustment values to the original CrawlDatum. When
          creating this instance, set its status to
          <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_LINKED"><code>CrawlDatum.STATUS_LINKED</code></a>.</dd>
<dd><code>allCount</code> - number of all collected outlinks from the source page</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if needed, implementations may return an instance of CrawlDatum,
         with status <a href="../../../../../org/apache/nutch/crawl/CrawlDatum.html#STATUS_LINKED"><code>CrawlDatum.STATUS_LINKED</code></a>, which contains
         adjustments to be applied to the original CrawlDatum score(s) and
         metadata. This can be null if not needed.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/nutch/scoring/ScoringFilterException.html" title="class in org.apache.nutch.scoring">ScoringFilterException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TLDScoringFilter.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/nutch/scoring/tld/TLDScoringFilter.html" target="_top">Frames</a></li>
<li><a href="TLDScoringFilter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
